Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.phonon
Class VolumeFaderEffect.FadeCurve

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.phonon.VolumeFaderEffect.FadeCurve

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  VolumeFaderEffect

    public static final class VolumeFaderEffect.FadeCurve

extends java.lang.Enum
implements QtEnumerator

Determines the curve of the volume change. Notes:

`Fade3Decibel` is often the best fade for a crossfade, as after half of the time the volume reached -3dB. This means that half the possible power (which is proportional to the square of the voltage) is reached. Summed, the maximum power of two audio signals fading with a -3dB curve will always be equal.

For fading in or out the -3dB curve is too abrupt in the end.

With a -6dB fade curve, a volume of -6dB is reached after half of the fading time. -6dB is equal to half of the voltage meaning that the voltage multiplier changes linearly from the start of the fade to the end.

With the `Fade9Decibel` fade, a volume of -9dB is reached after half of the fade time, so the fade is fast in the beginning and slow at the end. This is a good fade for ending music.

See Also:
  Serialized Form

Field Summary
`static VolumeFaderEffect.FadeCurve` | `Fade12Decibel`
`static VolumeFaderEffect.FadeCurve` | `Fade3Decibel`
`static VolumeFaderEffect.FadeCurve` | `Fade6Decibel`
`static VolumeFaderEffect.FadeCurve` | `Fade9Decibel`

Method Summary
`static VolumeFaderEffect.FadeCurve` | `resolve(int value)` Returns the VolumeFaderEffect$FadeCurve constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static VolumeFaderEffect.FadeCurve` | `valueOf(java.lang.String name)`
`static VolumeFaderEffect.FadeCurve[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Fade3Decibel

    public static final VolumeFaderEffect.FadeCurve Fade3Decibel

### Fade6Decibel

    public static final VolumeFaderEffect.FadeCurve Fade6Decibel

### Fade9Decibel

    public static final VolumeFaderEffect.FadeCurve Fade9Decibel

### Fade12Decibel

    public static final VolumeFaderEffect.FadeCurve Fade12Decibel

Method Detail

### values

    public static VolumeFaderEffect.FadeCurve[] values()

### valueOf

    public static VolumeFaderEffect.FadeCurve valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static VolumeFaderEffect.FadeCurve resolve(int value)

  Returns the VolumeFaderEffect$FadeCurve constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD